/********************************************************************
    basé sur le code de cet article :
    https://css-tricks.com/custom-controls-in-html5-video-full-screen
*********************************************************************/

/**
 * 1. Correct font family not being inherited in all browsers.
 * 2. Correct font size not being inherited in all browsers.
 * 3. Address margins set differently in Firefox 4+, Safari 5, and Chrome.
 */
button,
input {
    font-family: inherit;
    font-size: 100%;
    margin: 0;
}

/**
 * Remove most spacing between table cells.
 */
table {
    border-collapse: collapse;
    border-spacing: 0;
}

::selection {
    background: #333;
    color: #fff;
    text-shadow: none;
}

::-moz-selection {
    background: #333;
    color: #fff;
    text-shadow: none;
}

::-webkit-selection {
    background: #333;
    color: #fff;
    text-shadow: none;
}
@font-face {
    font-family: 'icomoon';
    src: url("https://s3-us-west-2.amazonaws.com/s.cdpn.io/3/icomoon.eot");
    src: url("https://s3-us-west-2.amazonaws.com/s.cdpn.io/3/icomoon.eot?#iefix") format("embedded-opentype"), url("https://s3-us-west-2.amazonaws.com/s.cdpn.io/3/icomoon.woff") format("woff"), url("https://s3-us-west-2.amazonaws.com/s.cdpn.io/3/icomoon.ttf") format("truetype"), url("https://s3-us-west-2.amazonaws.com/s.cdpn.io/3/icomoon.svg#icomoon") format("svg");
    font-weight: normal;
    font-style: normal;
}

[class*=icon-] {
    font-family: 'icomoon';
    speak: none;
    font-style: normal;
    font-weight: normal;
    font-variant: normal;
    text-transform: none;
    line-height: 1;
    -webkit-font-smoothing: antialiased;
    border: 0;
}
.icon-fullscreen-alt:before {
    content: "\e000";
}
.icon-fullscreen-exit-alt:before {
    content: "\e001";
}
.icon-play:before {
    content: "\e002";
}
.icon-pause:before {
    content: "\e003";
}
.icon-volume:before {
    content: "\e004";
}
.icon-volume-2:before {
    content: "\e005";
}

* {
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

button {
    vertical-align: middle;
    background-color: transparent;
    color: white;
    margin:0 1%;
    font-size: 1.2em;
    cursor: pointer;
}

video {
    display: block;
    height: 100%;
    width: auto;
    margin: 0 auto;
}

.player {
    flex: 1;
    max-width: 100%;
    font: 300 13px/1.6 'Helvetica Neue', Helvetica, Arial;
    position: relative;
}

.player::full-screen {
    width: 100%;
    height: 100%;
}

::-moz-full-screen .player {
    width: 100%;
    height: 100%;
}

.player::-moz-full-screen {
    width: 100%;
    height: 100%;
}

.player::-webkit-full-screen {
    width: 100%;
    height: 100%;
}

.controls {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    color: white;
    font-size: .8em;
    width: 100%;
    min-height: 40px;
    padding: 10px 5px;
    background-color: black;
    background-color: rgba(0, 0, 0, 0.75);
    z-index: 2147483647;
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 0;
    transition: opacity 0.3s;
}
.player:hover .controls {
    opacity: 1;
    /*transition: opacity 0.3s;*/
}

input[type=range] {
    border-radius: 2px;
    vertical-align: middle;
    -webkit-appearance: none;
    -moz-appearance: none;
    background-color: rgba(255, 255, 255, 0.7);
    height: 1px;
    border: none;
    cursor: pointer;
}

input[type=range]::-moz-range-track {
    vertical-align: middle;
    border-radius: 2px;
    background-color: rgba(255, 255, 255, 0.7);
    -moz-appearance: none;
    background-color: white;
    height: 1px;
    cursor: pointer;
}

input[type=range]::-moz-range-thumb {
    border-radius: 50%;
    height: 8px;
    width: 8px;
    background-color: white;
    border: 0;
}

input[type=range].light::-moz-range-thumb {
    box-shadow: 0 0 8px 2px white;
}

input[type=range]::-webkit-slider-thumb {
    -webkit-appearance: none;
    border-radius: 50%;
    height: 8px;
    width: 8px;
    background-color: white;
    border: 0;
}

input[type=range].light::-webkit-slider-thumb {
    box-shadow: 0 0 8px 2px white;
}

input[type=range]:active::-moz-range-track {
    background: orange;
}


.seeker {
    position: relative;
    width: 65%;
    z-index: 0;
    display: inline-block;
    margin: 0 10px 0 5px;
}

.seekbar {
    z-index: 3;
    position: relative;
    width: 100%;
    background-color: transparent !important;
}

.progressbar {
    position: absolute;
    left: 0;
    top: 7.5px;
    width: 100%;
    pointer-events: none;
    height: 2px;
    z-index: 2;
    /* Turns off styling - not usually needed, but good to know. */
    appearance: none;
    -moz-appearance: none;
    -webkit-appearance: none;
    /* gets rid of default border in Firefox and Opera. */
    border: none;
    background: rgba(255, 255, 255, 0.1);
    color: #c0392b;
}
.progressbar::-moz-progress-bar {
    background: #c0392b;
}
.progressbar::-webkit-progress-bar {
    background: rgba(255, 255, 255, 0.1);
}
.progressbar::-webkit-progress-value {
    background: #c0392b;
}

.volume {
    padding: 0 1%;
    width: 8%;
}

.volumebar {
    width: 100%;
}




.volume:hover input[type=range]::-moz-range-track {
    height: 2px;
}

.volume:hover input[type=range] {
    height: 3px;
}

.seeker:hover input[type=range]::-moz-range-track {
    height: 3px;
}

.seeker:hover input[type=range]::-moz-range-thumb {
    width: 12px;
    height: 12px;
}

.seeker:hover input[type=range]::-webkit-slider-thumb {
    width: 12px;
    height: 12px;
    margin-left: -2px;
}

.seeker:hover .progressbar {
    height: 5px;
    top: 5.5px;
}


/*hide controls from shadow DOM in webkit browsers*/
/* hides controls only in fullscreen, but shows them in normal screen even if controls is set to false*/
/*the most specific pseudo-element to target video controls on full screen*/
video::-webkit-media-controls-enclosure {
    display: none !important;
}





body.fullscreen .header,
body.fullscreen .footer {
    display: none;
}

body.fullscreen .container {
    grid-template-columns: 2.3fr 0.7fr;
    grid-template-rows: 1.5fr 1.5fr 0fr;
}
body.fullscreen .video {
    grid-template-columns: 2.1fr 0.9fr;
    grid-template-rows: 0.1fr 1.5fr 0.4fr;
    grid-template-areas:
    "title title"
    "player player"
    "chapters keywords";
}